Request to Join
curl --request POST \
--url https://app.plugchoice.com/api/v3/sites/join \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identity": "<string>",
"pincode": 123,
"team_uuid": "<string>"
}
'import requests
url = "https://app.plugchoice.com/api/v3/sites/join"
payload = {
"identity": "<string>",
"pincode": 123,
"team_uuid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({identity: '<string>', pincode: 123, team_uuid: '<string>'})
};
fetch('https://app.plugchoice.com/api/v3/sites/join', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"site_id": 123,
"site_uuid": "<string>",
"site_name": "<string>",
"team_uuid": "<string>"
}Invitations
Request to Join
POST
/
v3
/
sites
/
join
Request to Join
Joins a location using a charger’s identity and pincode. This allows users to gain access to a location by proving they have physical access to one of its chargers.
The OCPP identity of a charger belonging to the location. Maximum 255 characters.
The pincode of the charger (4–8 digits).
The UUID of the team to join the location with. The authenticated user must be a member of this team.
Response
A confirmation message indicating the location was joined successfully.
The numeric ID of the location that was joined.
The UUID of the location that was joined.
The name of the location that was joined.
The UUID of the team that joined the location.
⌘I